# UCSF ChimeraX Non-Commercial Software License Agreement

This license agreement (“License”), effective today, is made by and between you (“Licensee”) and The Regents of the University of California, a California corporation having its statewide administrative offices at 1111 Franklin Street, Oakland, California 94607-5200 (“The Regents”), acting through its Office of Technology Management, University of California San Francisco (“UCSF”), 600 16th Street, Suite S272, San Francisco, California 94143, and concerns certain software known as “UCSF ChimeraX,” a system of integrated software tools for interactive visualization and analysis of molecular structures and related data, developed by the Resource for Biocomputing, Visualization and Informatics (“RBVI”) at UCSF for research purposes and includes executable code, source code, and documentation (“Software”).

1.  **General.** A non-exclusive, nontransferable, perpetual license is granted to the Licensee to install and use the Software for academic, non-profit, or government-sponsored research purposes. Use of the Software under this License is restricted to non-commercial purposes. COMMERCIAL USE OF THE SOFTWARE REQUIRES A SEPARATELY EXECUTED WRITTEN LICENSE AGREEMENT.

2.  **Permitted Use and Restrictions.** Licensee agrees that it will use the Software, and any modifications, improvements, or derivatives to the Software that the Licensee may create (collectively, “Improvements”) solely for internal, non-commercial purposes and shall not distribute or transfer the Software or Improvements to any person or third parties without prior written permission from The Regents. For the avoidance of doubt, extensions or “plugins” developed by the Licensee as original works for the purpose of adding new functionality or customizing the Software shall not be considered Improvements. The Licensee may use such extensions or “plugins” for any purpose and may distribute them to any person or third parties without prior written permission from The Regents. The term “non-commercial,” as used in this License, means academic or other scholarly research which (a) is not undertaken for profit, or (b) is not intended to produce works, services, or data for commercial use, or (c) is neither conducted, nor funded, by a person or an entity engaged in the commercial use, application or exploitation of works similar to the Software.

3.  **Ownership and Assignment of Copyright.** The Licensee acknowledges that The Regents hold copyright in the Software and associated documentation, and the Software and associated documentation are the property of The Regents. The Licensee agrees that any Improvements made by Licensee shall be subject to the same terms and conditions as the Software. Licensee agrees not to assert a claim of infringement in Licensee copyrights in Improvements in the event The Regents prepares substantially similar modifications or derivative works. The Licensee agrees to use his/her reasonable best efforts to protect the contents of the Software and to prevent unauthorized disclosure by its agents, officers, employees, and consultants. If the Licensee receives a request to furnish all or any portion of the Software to a third party, Licensee will not fulfill such a request but will refer the third party to the [UCSF ChimeraX web page](http://www.rbvi.ucsf.edu/chimerax/) so that the third party's use of this Software will be subject to the terms and conditions of this License. Notwithstanding the above, Licensee may disclose any Improvements that do not involve disclosure of the Software.

4.  **Copies.** The Licensee may make a reasonable number of copies of the Software for the purposes of backup, maintenance of the Software or the development of derivative works based on the Software. These additional copies shall carry the copyright notice and shall be controlled by this License, and will be destroyed along with the original by the Licensee upon termination of the License.

5.  **Acknowledgement.** Licensee agrees that any publication of results obtained with the Software will acknowledge its use by an appropriate citation as specified in the [Software's documentation](http://www.rbvi.ucsf.edu/chimerax/docs/credits.html).

6.  **Disclaimer of Warranties and Limitation of Liability.** THE LICENSEE AGREES THAT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. THE REGENTS MAKES NO REPRESENTATION OR WARRANTY THAT THE SOFTWARE WILL NOT INFRINGE ANY PATENT OR OTHER PROPRIETARY RIGHT. IN NO EVENT SHALL THE REGENTS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

7.  **Indemnification.** To the extent permitted by law, Licensee shall indemnify, defend with counsel acceptable to The Regents, and hold harmless The Regents and the developers of the Software, their successors, agents, officers, and employees against any and all claims, liability, cost, damage, deficiency, loss, or obligation, of any kind or nature (including, without limitation, reasonable attorney's fees and other costs and expenses of defense), including without limitation any cause of action relating to product liability, any incidental or consequential damage either direct or indirect, whether incurred, made or suffered by Licensee or any third party obtaining access to the Software through Licensee, in connection with and to the extent arising out of, the Licensee's furnishing, performance, possession or use of the Software or in connection with the Licensee's exercise of its rights under this License. This provision shall survive termination of this License.

8.  **Termination.** This License is effective until terminated by either party. Licensee's rights under this License will terminate automatically without notice from The Regents if Licensee fails to comply with any term(s) of this License. Licensee may terminate the License by giving written notice of termination to The Regents. Upon termination of this License, Licensee shall immediately discontinue all use of the Software and destroy the original and all copies, full or partial, of the Software, including any modifications or derivative works, and associated documentation.

9.  **Use of Names and Trademarks.** Nothing contained in this License will be construed as conferring any right to either party to use in advertising, publicity, or other promotional activities any name, trade name, trademark, or other designation of the other party (including a contraction, abbreviation or simulation of any of the foregoing). The use by the Licensee of the name “The Regents of the University of California” or the name of any campus of the University of California in advertising, publicity or other promotional activities is expressly prohibited.

10.  **Governing Law and General Provisions.** This License shall be governed by the laws of the State of California, excluding the application of its conflicts of law rules. This License shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded. If any provisions of this License are held invalid or unenforceable for any reason, the remaining provisions shall remain in full force and effect. This License is binding upon any heirs and assigns of the Licensee. The License granted to Licensee hereunder may not be assigned or transferred to any other person or entity without the express consent of The Regents. This License constitutes the entire agreement between the parties with respect to the use of the Software licensed hereunder and supersedes all other previous or contemporaneous agreements or understandings between the parties, whether verbal or written, concerning the subject matter. Any translation of this License is done for local requirements and in the event of a dispute between the English and any non-English versions, the English version of this License shall govern.

*Revised 5-May-2020*
